INTERFACE
SUBROUTINE SUEHOW2(KDGLG,&
 & KDGSA,KDGEN,KFRSTLOFF,&
 & KBINL,KLEN,KLA,&
 & PDLAT,PDLO,PDLO1,PDLO2,PDLO3,&
 & PDELY,&
 & PWXX) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM) :: KDGLG
INTEGER(KIND=JPIM) :: KDGSA
INTEGER(KIND=JPIM) :: KDGEN
INTEGER(KIND=JPIM) :: KFRSTLOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KBINL
INTEGER(KIND=JPIM) :: KLA(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO1(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO2(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO3(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELY
REAL(KIND=JPRB) ,INTENT(OUT) :: PWXX(KLEN,KBINL)
END SUBROUTINE SUEHOW2
END INTERFACE
